Resolving Gulp libsass error

April 29, 2015, 6:13 pm
Author: James Griffiths

If you've recently updated the Gulp task runner program you might encounter the following error with a previously working installation of gulp-sass:

/Users/whatever-your-user-directory-is-called/project-directory/gulp/node_modules/gulp-sass/node_modules/node-sass/sass.js:22
throw new Error('`libsass` bindings not found. Try reinstalling `node-sass`?

We found the following fixed the issue, allowing for Gulp to process Sass as it had done prior to the update.

From the command line, and within the directory where your local installation of Gulp is located, run the following to uninstall the existing gulp-sass module:

npm uninstall ——save-dev gulp-sass

Then run the following to install a fresh version of gulp-sass:

npm install gulp-sass ——save-dev

This should, hopefully, fix the issue with the lib-sass bindings error when you next run Gulp tasks.

If not, feel free to explore the following thread for other potential solutions.

Categories

« Return to Posts

Post a comment

All comments are welcome and the rules are simple - be nice and do NOT engage in trolling, spamming, abusiveness or illegal behaviour. If you fail to observe these rules you will be permanently banned from being able to comment.